org.apache.maven.scm.command.export

## Class ExportScmResultWithRevision

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.export.ExportScmResult
    - - org.apache.maven.scm.command.export.ExportScmResultWithRevision

All Implemented Interfaces:
  Serializable

    public class ExportScmResultWithRevision
    extends ExportScmResult

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`ExportScmResultWithRevision(String commandLine, List<ScmFile> exportedFiles, String revision)`
`ExportScmResultWithRevision(String commandLine, String providerMessage, String commandOutput, String revision, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.command.export.ExportScmResult

`getExportedFiles`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision(String commandLine,
                                       String providerMessage,
                                       String commandOutput,
                                       String revision,
                                       boolean success)

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision(String commandLine,
                                       List<ScmFile> exportedFiles,
                                       String revision)

### Method Detail

#### getRevision

    public String getRevision()